Cannot update due to package issue

When I try to update my system this is what it does.

(575/575) checking for file conflicts [######################] 100%
error: failed to commit transaction (conflicting files)
/usr/lib/python3.8/site-packages/service_identity-18.1.0-py3.8.egg-info/PKG-INFO exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity-18.1.0-py3.8.egg-info/SOURCES.txt exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity-18.1.0-py3.8.egg-info/dependency_links.txt exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity-18.1.0-py3.8.egg-info/not-zip-safe exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity-18.1.0-py3.8.egg-info/requires.txt exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity-18.1.0-py3.8.egg-info/top_level.txt exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/init.py exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/init.cpython-38.opt-1.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/init.cpython-38.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/_common.cpython-38.opt-1.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/_common.cpython-38.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/_compat.cpython-38.opt-1.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/_compat.cpython-38.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/cryptography.cpython-38.opt-1.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/cryptography.cpython-38.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/exceptions.cpython-38.opt-1.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/exceptions.cpython-38.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/pyopenssl.cpython-38.opt-1.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pycache/pyopenssl.cpython-38.pyc exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/_common.py exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/_compat.py exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/cryptography.py exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/exceptions.py exists in both 'python-service-identity' and 'python-service_identity'
/usr/lib/python3.8/site-packages/service_identity/pyopenssl.py exists in both 'python-service-identity' and 'python-service_identity'
glslang: /usr/lib/cmake/HLSLTargets-release.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/HLSLTargets.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/OGLCompilerTargets-release.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/OGLCompilerTargets.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/OSDependentTargets-release.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/OSDependentTargets.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/SPIRVTargets-release.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/SPIRVTargets.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/SPVRemapperTargets-release.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/SPVRemapperTargets.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/glslang-default-resource-limitsTargets-release.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/glslang-default-resource-limitsTargets.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/glslangTargets-release.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/glslangTargets.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/glslangValidatorTargets-release.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/glslangValidatorTargets.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/spirv-remapTargets-release.cmake exists in filesystem (owned by lib32-glslang)
glslang: /usr/lib/cmake/spirv-remapTargets.cmake exists in filesystem (owned by lib32-glslang)
Errors occurred, no packages were upgraded.

The first part oddly looks like someone who used sudo pip install at one point or another.

By the way, which branch are you using? I think Python 3.8 is only a thing in Unstable for now, right?

Try...

sudo pacman -Syu --overwrite=/usr/lib/*

... in a terminal.

1 Like

Well to Answer your question frog. I am using the unstable branch of Manjaro. Thank you Aragorn I appreciate the help. Also appreciate Frog for trying to help. Aragorn your post is marked as the solution in case anyone else has this issue come up.

2 Likes

Forum kindly sponsored by